Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form.event
Class TextFieldListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.form.event.FieldListenerAdapter
                  com.gwtext.client.widgets.form.event.TextFieldListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, FieldListener, TextFieldListener

    public class TextFieldListenerAdapter

extends FieldListenerAdapter
implements TextFieldListener

`TextField` listener adapter class.

Constructor Summary
`TextFieldListenerAdapter()`

Method Summary
`void` | `onAutoSize(Field field, int width)` Fires when the autosize function is triggered.

Methods inherited from class com.gwtext.client.widgets.form.event.FieldListenerAdapter
`onBlur, onChange, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.form.event.FieldListener
`onBlur, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### TextFieldListenerAdapter

    public TextFieldListenerAdapter()

Method Detail

### onAutoSize

    public void onAutoSize(Field field,
                           int width)

  Description copied from interface: `TextFieldListener`
  Fires when the autosize function is triggered. The field may or may not have actually changed size according to the default logic, but this event provides a hook for the developer to apply additional logic at runtime to resize the field if needed.

  Specified by:
    `onAutoSize` in interface `TextFieldListener`
  Parameters:
    `field` - this
    `width` - the new field width

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD